# SPDX-FileCopyrightText: 2022 Open Mobile Platform LLC <community@omp.ru>
# SPDX-License-Identifier: BSD-3-Clause

TARGET = ru.auroraos.TinyPdfViewer

CONFIG += \
    auroraapp \

QT += \
    dbus \

SOURCES += \
    src/dbusadaptor.cpp \
    src/fileinfo.cpp \
    src/main.cpp \
    src/filesmodel.cpp \
    src/trackerqueryworker.cpp \
    src/sortmodel.cpp \
    src/applicationsettings.cpp \

HEADERS += \
    src/dbusadaptor.h \
    src/dbusconstants.h \
    src/fileinfo.h \
    src/filesmodel.h \
    src/trackerqueryworker.h \
    src/sortmodel.h \
    src/applicationsettings.h \

DISTFILES += \
    rpm/ru.auroraos.TinyPdfViewer.spec \
    AUTHORS.md \
    CODE_OF_CONDUCT.md \
    CONTRIBUTING.md \
    LICENSE.BSD-3-Clause.md \
    README.md \
    README.ru.md \

AURORAAPP_ICONS = 86x86 108x108 128x128 172x172

CONFIG += auroraapp_i18n

TRANSLATIONS += \
    translations/ru.auroraos.TinyPdfViewer.ts \
    translations/ru.auroraos.TinyPdfViewer-ru.ts \
